using System.Drawing;
using System.Windows.Forms;

using DevExpress.Utils;

namespace TestProject
{
    /// <summary>
    /// Ŀ ̺
    /// </summary>
    public class CustomLabel : Label,  IToolTipControlClient
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Property
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region (IToolTipControlClient)  ǥ  - ShowToolTips

        /// <summary>
        ///  ǥ 
        /// </summary>
        public bool ShowToolTips
        {
            get
            {
                return true;
            }
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region (IToolTipControlClient) ü  ϱ - GetObjectInfo(location)

        /// <summary>
        /// ü  ϱ
        /// </summary>
        /// <param name="location">ġ</param>
        /// <returns> Ʈ </returns>
        public ToolTipControlInfo GetObjectInfo(Point location)
        {
            ToolTipControlInfo info = new ToolTipControlInfo();

            string xString = location.X.ToString();

            info.Object   = xString;
            info.Text     = xString;
            info.Interval = 100;

            return info;
        }

        #endregion
    }
}